from typing import Any
from pydantic import BaseModel, ConfigDict, TypeAdapter


def validate[T](type: type[T], data: Any) -> T:
    return TypeAdapter(type).validate_python(data)


class MyBaseModel(BaseModel):
    model_config = ConfigDict(extra='ignore')


class Coordinate(MyBaseModel):
    lat: float
    lng: float


class Center(MyBaseModel):
    id: int
    establishment: int
    name_fr: str
    formatted_address: str


class Service(MyBaseModel):
    id: int
    name_fr: str
